export declare function getCauseFromUnknown(cause: unknown): Error | undefined;
export declare const isDcqlError: (cause: unknown) => cause is DcqlError;
export declare function getDcqlErrorFromUnknown(cause: unknown): DcqlError;
type DCQL_ERROR_CODE = 'PARSE_ERROR' | 'INTERNAL_SERVER_ERROR' | 'NOT_IMPLEMENTED' | 'BAD_REQUEST';
export declare class DcqlError extends Error {
    readonly cause?: Error;
    readonly code: DCQL_ERROR_CODE;
    constructor(opts: {
        message?: string;
        code: DCQL_ERROR_CODE;
        cause?: unknown;
    });
}
export {};
//# sourceMappingURL=e-base.d.ts.map