"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DcqlCredentialPresentation = exports.DcqlW3cVcPresentation = exports.DcqlSdJwtVcPresentation = exports.DcqlMdocPresentation = void 0;
const v = __importStar(require("valibot"));
const u_dcql_credential_1 = require("../u-dcql-credential");
const u_model_1 = require("../u-model");
var DcqlMdocPresentation;
(function (DcqlMdocPresentation) {
    DcqlMdocPresentation.vModel = u_dcql_credential_1.DcqlMdocCredential.vModel;
    DcqlMdocPresentation.model = new u_model_1.Model({ vModel: DcqlMdocPresentation.vModel });
})(DcqlMdocPresentation || (exports.DcqlMdocPresentation = DcqlMdocPresentation = {}));
var DcqlSdJwtVcPresentation;
(function (DcqlSdJwtVcPresentation) {
    DcqlSdJwtVcPresentation.vModel = u_dcql_credential_1.DcqlSdJwtVcCredential.vModel;
    DcqlSdJwtVcPresentation.model = new u_model_1.Model({ vModel: DcqlSdJwtVcPresentation.vModel });
})(DcqlSdJwtVcPresentation || (exports.DcqlSdJwtVcPresentation = DcqlSdJwtVcPresentation = {}));
var DcqlW3cVcPresentation;
(function (DcqlW3cVcPresentation) {
    DcqlW3cVcPresentation.vModel = u_dcql_credential_1.DcqlW3cVcCredential.vModel;
    DcqlW3cVcPresentation.model = new u_model_1.Model({ vModel: DcqlW3cVcPresentation.vModel });
})(DcqlW3cVcPresentation || (exports.DcqlW3cVcPresentation = DcqlW3cVcPresentation = {}));
var DcqlCredentialPresentation;
(function (DcqlCredentialPresentation) {
    DcqlCredentialPresentation.model = new u_model_1.Model({
        vModel: v.variant('credential_format', [
            DcqlMdocPresentation.vModel,
            DcqlSdJwtVcPresentation.vModel,
            DcqlW3cVcPresentation.vModel,
        ]),
    });
})(DcqlCredentialPresentation || (exports.DcqlCredentialPresentation = DcqlCredentialPresentation = {}));
//# sourceMappingURL=m-dcql-credential-presentation.js.map