"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DcqlPresentationResultError = exports.DcqlInvalidPresentationRecordError = exports.DcqlMissingClaimSetParseError = exports.DcqlInvalidClaimsQueryIdError = exports.DcqlParseError = exports.DcqlNonUniqueCredentialQueryIdsError = exports.DcqlUndefinedClaimSetIdError = exports.DcqlCredentialSetError = void 0;
const e_base_js_1 = require("./e-base.js");
class DcqlCredentialSetError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlCredentialSetError = DcqlCredentialSetError;
class DcqlUndefinedClaimSetIdError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlUndefinedClaimSetIdError = DcqlUndefinedClaimSetIdError;
class DcqlNonUniqueCredentialQueryIdsError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlNonUniqueCredentialQueryIdsError = DcqlNonUniqueCredentialQueryIdsError;
class DcqlParseError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'PARSE_ERROR', ...opts });
    }
}
exports.DcqlParseError = DcqlParseError;
class DcqlInvalidClaimsQueryIdError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlInvalidClaimsQueryIdError = DcqlInvalidClaimsQueryIdError;
class DcqlMissingClaimSetParseError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'PARSE_ERROR', ...opts });
    }
}
exports.DcqlMissingClaimSetParseError = DcqlMissingClaimSetParseError;
class DcqlInvalidPresentationRecordError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlInvalidPresentationRecordError = DcqlInvalidPresentationRecordError;
class DcqlPresentationResultError extends e_base_js_1.DcqlError {
    constructor(opts) {
        super({ code: 'BAD_REQUEST', ...opts });
    }
}
exports.DcqlPresentationResultError = DcqlPresentationResultError;
//# sourceMappingURL=e-dcql.js.map