import * as v from 'valibot';
import type { InferModelTypes } from '../u-model';
export declare namespace DcqlMdocPresentation {
    const vModel: v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
        readonly doctype: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>;
    const model: import("../u-model").Model<v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
        readonly doctype: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlMdocPresentation = DcqlMdocPresentation.Model['Output'];
export declare namespace DcqlSdJwtVcPresentation {
    const vModel: v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql").Json, import("../u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>;
    const model: import("../u-model").Model<v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql").Json, import("../u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlSdJwtVcPresentation = DcqlSdJwtVcPresentation.Model['Output'];
export declare namespace DcqlW3cVcPresentation {
    const vModel: v.ObjectSchema<{
        readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql").Json, import("../u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>;
    const model: import("../u-model").Model<v.ObjectSchema<{
        readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql").Json, import("../u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlW3cVcPresentation = DcqlW3cVcPresentation.Model['Output'];
export declare namespace DcqlCredentialPresentation {
    const model: import("../u-model").Model<v.VariantSchema<"credential_format", [v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
        readonly doctype: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql").Json, import("../u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql").Json, import("../u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>], undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlCredentialPresentation = DcqlCredentialPresentation.Model['Output'];
//# sourceMappingURL=m-dcql-credential-presentation.d.ts.map