"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Model = void 0;
const v = __importStar(require("valibot"));
const e_dcql_1 = require("./dcql-error/e-dcql");
class Model {
    input;
    constructor(input) {
        this.input = input;
    }
    get v() {
        return this.input.vModel;
    }
    parse(input) {
        const result = this.safeParse(input);
        if (result.success) {
            return result.output;
        }
        return new e_dcql_1.DcqlParseError({
            message: JSON.stringify(result.flattened),
            cause: result.error,
        });
    }
    safeParse(input) {
        const res = v.safeParse(this.input.vModel, input);
        if (res.success) {
            return { success: true, output: res.output };
        }
        else {
            return {
                success: false,
                error: new v.ValiError(res.issues),
                flattened: v.flatten(res.issues),
            };
        }
    }
    is(input) {
        return v.is(this.v, input);
    }
}
exports.Model = Model;
//# sourceMappingURL=u-model.js.map